/**show-details
 * @file
 * The performance_profiler behavior.
 */

 (function (Drupal, $, drupalSettings) {
    'use strict';

    var triggered = false;

    Drupal.behaviors.performanceProfilerDynamic = {
      attach: function (context, settings) {
        'use strict';

        if (!triggered) {
          $("<div>", {id: "performance-profiler-dynamic", rel: drupalSettings.performance_profiler.path, content: 'Updating...'}).appendTo('body');

          $.ajax({
            // ToDo make a variable here.
            url: Drupal.url('performance-profiler/ajax/performance-data'),
            type: 'GET',
            data: {
              path: drupalSettings.performance_profiler.path
            },
            success: function (results) {
              if (results) {
                $('#performance-profiler-dynamic').html(results);
                Drupal.attachBehaviors(document.getElementById('performance-profiler-dynamic'));
              }
            }
          });

          triggered = true;
        }

        $('.performance-profiler-short', context).once().click(function () {
          $(this).toggleClass('open');
          $(this).next('.performance-profiler-long').toggleClass('hidden');
        });
      }
    };

  })(Drupal, jQuery, drupalSettings);
