/**
 * @file
 * The performance_profiler behavior.
 */

(function (Drupal, $) {
  'use strict';

  var triggered = false;

  Drupal.behaviors.performanceProfilerToolbar = {
    attach: function (context, settings) {
      'use strict';

      if (!triggered) {
        $.ajax({
          // ToDo make a variable here.
          url: Drupal.url('performance-profiler/ajax/performance-data'),
          type: 'GET',
          data: {
            path: $('.performance-profiler', context).attr('rel')
          },
          success: function (results) {
            if (results) {
              $('.performance-profiler').html(results);
              $.each(document.getElementsByClassName('performance-profiler'), function (index, el) {
                Drupal.attachBehaviors(el);
              });
            }
          }
        });

        triggered = true;
      }

      $('.performance-profiler', context).once().click(function () {
        $('.performance-profiler-long', $(this)).toggle();
      });
    }
  };

})(Drupal, jQuery);
