<?php

namespace Drupal\performance_profiler\Controller;

use Drupal\Component\Utility\Html;
use Drupal\Core\Controller\ControllerBase;
use Symfony\Component\HttpFoundation\Response;

/**
 * Provides an AjaxPerformanceData API to get performance data.
 */
class AjaxPerformanceData extends ControllerBase {

  /**
   * Ajax callback for main performance data.
   */
  public function get() {
    $uuid = session_id();
    $tempstore = \Drupal::service('tempstore.private')->get("performance_profiler_$uuid");
    $storage = $tempstore->get('storage');
    $tempstore->set('storage', NULL);
    $storage = is_array($storage ?? FALSE) ? $storage : [];
    $path = \Drupal::request()->query->get('path');

    $message = t('No queries to show, check settings');
    if (count($storage)) {
      $main_element = ($storage[$path] ?? FALSE) ? ($storage[$path]['short'] ?? '') : ($storage[array_key_last($storage)]['short'] ?? '');
      $message = '[' . count($storage) . '] ' . $main_element;
    }

    $markup = [
      '#theme' => 'performance_profiler_toolbar',
      '#data' => $storage,
      '#path' => $path,
      '#short_message' => $message,
    ];

    // Return response.
    return new Response(render($markup));
  }

}
